Name:		jgmenu
Version:	4.2.1
Release:	%mkrel 1

Summary:	Simple X11 application menu
License:	GPLv2
Group:      Graphical desktop/Other
URL:		https://jgmenu.github.io
Source0:	https://github.com/johanmalm/%{name}/archive/v%{version}/%{name}-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot 
Requires:	hicolor-icon-theme
BuildRequires:	desktop-file-utils
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(librsvg-2.0)

%description
A simple, independent and contemporary-looking X11 menu, designed for scripting,
ricing and tweaking. Useful for tint2, polymenu, cairo-dock, plank, unity,
openbox, i3, dwm and other light environments.


%package	lx
Summary:	LXDE %{name} plugin
# menu-cache-devel
BuildRequires:	pkgconfig(libmenu-cache)
Requires:	%{name} = %{version}-%{release}

%description	lx
LXDE plugin for %{name} package.


%package	pmenu
Summary:	Pmenu %{name} plugin
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description	pmenu
Pmenu plugin for %{name} package.


%package	gtktheme
Summary:	GTKtheme %{name} plugin
Requires:	%{name} = %{version}-%{release}
BuildArch:	noarch

%description	gtktheme
GTKtheme plugin for %{name} package.


%package xfce4
Summary: Xfce4 %{name} plugin
# xfce4-panel-devel
BuildRequires:	pkgconfig(libxfce4panel-1.0)
Requires:	%{name} = %{version}-%{release}

%description xfce4
Xfce4 plugin for %{name} package.


%prep
%setup -q


%build
# default: --with-lx --with-pmenu --with-gtktheme --with-xfce4-panel-applet
%configure2_5x \
--with-lx --with-pmenu --with-gtktheme --with-xfce4-panel-applet

%make


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std



%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR



%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%{_bindir}/%{name}*
%{_libexecdir}/%{name}/%{name}-*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_mandir}/man?/%{name}*.*
#%exclude %{_libexecdir}/%{name}/%{name}-{lx,pmenu.py,gtktheme.py}
#%exclude %{_mandir}/man1/%{name}-{lx,pmenu}.1.*

%files	lx
%{_libexecdir}/%{name}/%{name}-lx
%{_mandir}/man1/%{name}-lx.1.*

%files	pmenu
%{_libexecdir}/%{name}/%{name}-pmenu.py
%{_mandir}/man1/%{name}-pmenu.1.*

%files	gtktheme
%{_libexecdir}/%{name}/%{name}-gtktheme.py

%files	xfce4
%{_libdir}/xfce4/panel/plugins/lib%{name}.so
%{_datadir}/xfce4/panel/plugins/%{name}-applet.desktop

%changelog
* Sun Aug 01 2020 Ken <lxgator at gmail.com> 4.2.1-1pclos2020
- Initial build
